Package io.vertx.ext.mongo

## Class RenameCollectionOptions

- java.lang.Object
- - io.vertx.ext.mongo.RenameCollectionOptions

-     public class RenameCollectionOptions
      extends Object

  Options used to configure rename collection options.
  Author:
    Zengyi Wang

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenameCollectionOptions()` |
    `RenameCollectionOptions​(JsonObject json)` |
    `RenameCollectionOptions​(RenameCollectionOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Boolean` | `getDropTarget()` |
    `int` | `hashCode()` |
    `RenameCollectionOptions` | `setDropTarget​(Boolean dropTarget)` | Sets if it should drop the target of renameCollection if exists.
    `JsonObject` | `toJson()` |
    `com.mongodb.client.model.RenameCollectionOptions` | `toMongoDriverObject()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameCollectionOptions

          public RenameCollectionOptions()

    - #### RenameCollectionOptions

          public RenameCollectionOptions​(RenameCollectionOptions other)

    - #### RenameCollectionOptions

          public RenameCollectionOptions​(JsonObject json)

  - ### Method Detail

    - #### getDropTarget

          public Boolean getDropTarget()

    - #### setDropTarget

          public RenameCollectionOptions setDropTarget​(Boolean dropTarget)

      Sets if it should drop the target of renameCollection if exists.
      Parameters:
        `dropTarget` - the flag indicating to drop the target or not.
      Returns:
        RenameCollectionOptions

    - #### toJson

          public JsonObject toJson()

    - #### toMongoDriverObject

          public com.mongodb.client.model.RenameCollectionOptions toMongoDriverObject()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`